Developers
V1PlatformCorporatesTenantidPoints budgetGrants

/v1/platform/corporates/{tenantId}/points-budget/grants

POST
/v1/platform/corporates/{tenantId}/points-budget/grants
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/platform/corporates/497f6eca-6276-4993-bfeb-53cbbbba6f08/points-budget/grants" \  -H "Content-Type: application/json" \  -d '{    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "amount": 1,    "reason": "string",    "reference": "string"  }'
{  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",  "grantedPoints": 0,  "allocatedPoints": 0,  "availablePoints": 0}